Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | List of all members
testing::EmptyTestEventListener Class Reference
Inheritance diagram for testing::EmptyTestEventListener:

## Public Member Functions
virtual void | OnTestProgramStart (const UnitTest &)
virtual void | OnTestIterationStart (const UnitTest &, int)
virtual void | OnEnvironmentsSetUpStart (const UnitTest &)
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &)
virtual void | OnTestCaseStart (const TestCase &)
virtual void | OnTestStart (const TestInfo &)
virtual void | OnTestPartResult (const TestPartResult &)
virtual void | OnTestEnd (const TestInfo &)
virtual void | OnTestCaseEnd (const TestCase &)
virtual void | OnEnvironmentsTearDownStart (const UnitTest &)
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &)
virtual void | OnTestIterationEnd (const UnitTest &, int)
virtual void | OnTestProgramEnd (const UnitTest &)

## Detailed Description

Definition at line 1044 of file gtest.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/gtest.h